circuit.cpp File Reference
`#include "test/int.hh"`
`#include <gecode/minimodel.hh>`

Go to the source code of this file.

## Classes

class | Test::Int::Circuit::Circuit
| Simple test for circuit constraint. More...
class | Test::Int::Circuit::Path
| Simple test for Hamiltonian path constraint. More...
class | Test::Int::Circuit::CircuitCost
| Simple test for circuit constraint with total cost. More...
class | Test::Int::Circuit::PathCost
| Simple test for path constraint with total cost. More...
class | Test::Int::Circuit::CircuitFullCost
| Simple test for circuit constraint with full cost information. More...
class | Test::Int::Circuit::Create
| Help class to create and register tests. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.
namespace | Test::Int::Circuit
| Tests for circuit constraints

## Variables

Create | Test::Int::Circuit::c